Name:           dump1090-fa
Version:        9.0
Release:        1%{?dist}
Summary:        Dump1090 is a simple Mode S decoder for RTLSDR devices

License:        GPLv2+
URL:            https://github.com/flightaware/dump1090
Source0:        https://github.com/flightaware/dump1090/archive/refs/tags/v%{version}.tar.gz
Source1:        dump1090-fa.sysysers

Patch1:         dump1090-fa-7.2-startup.patch
Patch2:         dump1090-fa-9.0-calloc.patch

BuildRequires:  gcc
BuildRequires:  pkgconf-pkg-config
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  ncurses-devel
BuildRequires:  systemd-rpm-macros

Requires:       httpd-filesystem
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
dump1090-fa is a ADS-B, Mode S, and Mode 3A/3C demodulator and decoder that
will receive and decode aircraft transponder messages received via a directly
connected software defined radio, or from data provided over a network
connection.

It is the successor to dump1090-mutability and is maintained by FlightAware.

This version is built with RTLSDR radio compatibility only.

%prep
%autosetup -n dump1090-%{version} -p 2

%build
export CFLAGS="%{__global_cflags}"
export LDFLAGS="%{build_ldflags}"
%make_build \
    DUMP1090_VERSION="%{version}"
%make_build \
    DUMP1090_VERSION="%{version}" \
    faup1090

%install
rm -rf %{buildroot}
install -D dump1090 %{buildroot}%{_bindir}/dump1090-fa
install -D view1090 %{buildroot}%{_bindir}/view1090-fa
install -D faup1090 %{buildroot}%{_libexecdir}/%{name}/faup1090
install -d %{buildroot}/var/www/skyaware
cp -r public_html/* %{buildroot}/var/www/skyaware
install -D -t %{buildroot}%{_libexecdir}/%{name} starch-benchmark
install -D -t %{buildroot}%{_libexecdir}/%{name} debian/start-dump1090-fa
install -D debian/dump1090-fa.default %{buildroot}%{_sysconfdir}/sysconfig/dump1090-fa
install -D debian/dump1090-fa.service %{buildroot}%{_unitdir}/dump1090-fa.service
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/dump1090-fa.conf

# Unless we strip executable bits here, /usr/lib/rpm/redhat/brp-mangle-shebangs
# will fail later in the process
find %{buildroot}/var/www -type f -exec chmod 0644 {} \;

%check
%make_build \
    CFLAGS="%{__global_cflags}" \
    LDFLAGS="%{build_ldflags}" \
    DUMP1090_VERSION="%{version}" \
    test

%files
%license LICENSE
%doc COPYING README.md
%{_bindir}/*
%{_libexecdir}/%{name}
%{_unitdir}/dump1090-fa.service
%config(noreplace) %{_sysconfdir}/sysconfig/
/var/www/*
%{_sysusersdir}/dump1090-fa.conf

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post dump1090-fa.service

%preun
%systemd_preun dump1090-fa.service

%postun
%systemd_postun_with_restart dump1090-fa.service

%changelog
* Sun Jan 28 2024 Ralf Ertzinger <ralf@skytale.net> - 9.0-1
- Update to 9.0

* Thu Dec 08 2022 Ralf Ertzinger <ralf@skytale.net> - 8.1-0.1
- Update to 8.1

* Tue May 03 2022 Ralf Ertzinger <ralf@skytale.net> - 7.2-1
- Update to 7.2

* Thu Jan 13 2022 Ralf Ertzinger <ralf@skytale.net> - 7.1-0.1
- Update to 7.1

* Mon Sep 20 2021 Ralf Ertzinger <ralf@skytale.net> - 6.1-1.1
- Fix incorrect path in service file

* Tue Sep 14 2021 Ralf Ertzinger <ralf@skytale.net> - 6.1-1
- Update to 6.1

* Thu May 27 2021 Ralf Ertzinger <ralf@skytale.net> - 5.0-3
- Initial build for 5.0
